Show / Hide Table of Contents

# Struct ImDrawDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawDataPtr

### Constructors

| Improve this Doc View Source

#### ImDrawDataPtr(ImDrawData*)

##### Declaration

    public ImDrawDataPtr(ImDrawData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | nativePtr |

| Improve this Doc View Source

#### ImDrawDataPtr(IntPtr)

##### Declaration

    public ImDrawDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### CmdLists

##### Declaration

    public IntPtr CmdLists { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### CmdListsCount

##### Declaration

    public int CmdListsCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CmdListsRange

##### Declaration

    public RangePtrAccessor<ImDrawListPtr> CmdListsRange { get; }

##### Property Value

Type | Description
--- | ---
RangePtrAccessor<ImDrawListPtr> |

| Improve this Doc View Source

#### DisplayPos

##### Declaration

    public Vector2 DisplayPos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplaySize

##### Declaration

    public Vector2 DisplaySize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FramebufferScale

##### Declaration

    public Vector2 FramebufferScale { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImDrawData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawData* |

| Improve this Doc View Source

#### OwnerViewport

##### Declaration

    public ImGuiViewportPtr OwnerViewport { get; }

##### Property Value

Type | Description
--- | ---
ImGuiViewportPtr |

| Improve this Doc View Source

#### TotalIdxCount

##### Declaration

    public int TotalIdxCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TotalVtxCount

##### Declaration

    public int TotalVtxCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Valid

##### Declaration

    public bool Valid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### DeIndexAllBuffers()

##### Declaration

    public void DeIndexAllBuffers()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### ScaleClipRects(Vector2)

##### Declaration

    public void ScaleClipRects(Vector2 fb_scale)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | fb_scale |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawData* to ImDrawDataPtr)

##### Declaration

    public static implicit operator ImDrawDataPtr(ImDrawData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawDataPtr |

| Improve this Doc View Source

#### Implicit(ImDrawDataPtr to ImDrawData*)

##### Declaration

    public static implicit operator ImDrawData*(ImDrawDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawDataPtr)

##### Declaration

    public static implicit operator ImDrawDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawDataPtr |